#ifndef CONSTS_H
#define CONSTS_H
	/*_U_*/// <--- Označení pro konstanty závislé na soustavě jednotek v kódu
#include <gsl/gsl_const_mksa.h>
#define C GSL_CONST_MKSA_SPEED_OF_LIGHT
// tady mě gsl fakt naštvala
// #define q_e GSL_CONST_CGSE_ELECTRON_CHARGE
#define q_e GSL_CONST_MKSA_ELECTRON_CHARGE	/* v Stixovi statC, gaussovské jednotky, ne cgsm!!! */
#define m_e GSL_CONST_MKSA_MASS_ELECTRON
#define m_p GSL_CONST_MKSA_MASS_PROTON
#define epsilon_0 GSL_CONST_MKSA_VACUUM_PERMITTIVITY
#define mu_0 GSL_CONST_MKSA_VACUUM_PERMEABILITY
#ifndef M_PI
#define M_PI 3.14159265358979323846264338328	/* Prý to ve standardním C není, pche */
#endif
#define SQ(x) ((x)*(x))
#define RADIUS_TERRAE (6371.2e3)
#define PONDUS_TERRAE (5.9742e24)
#define k_B GSL_CONST_MKSA_BOLTZMANN
// #define EPS_0 GSL_CONST_MKSA_VACUUM_PERMITTIVITY
// #define MU_0 GSL_CONST_MKSA_VACUUM_PERMEABILITY // Kdyby se to přepisovalo do SI
// xpz_.ta má být v keVech a ne v Kelvinech
#define K2KEV (GSL_CONST_MKSA_BOLTZMANN / GSL_CONST_MKSA_ELECTRON_VOLT / 1000.)
#define KILOMETR 1e3		// m
#define GAUSS GSL_CONST_MKSA_GAUSS
#endif
