#ifndef FORTRANTYPES_H
#define FORTRANTYPES_H
typedef int integer;
typedef float real;
typedef double doublereal;
typedef struct
{
  real r, i;
} fcomplex;
typedef struct
{
  doublereal r, i;
} doublecomplex;
typedef doublecomplex complex16;
typedef doublereal real8;
#include <complex.h>
static inline complex
compl_f2c (complex16 f)
{
  return (f.r + f.i * I);
}

static inline complex16
compl_c2f (complex c)
{
  return (complex16)
  {
  (real) creal (c), (real) cimag (c)};
}
#endif
