#ifndef STOPCOND_H
#define STOPCOND_H
#include "matvec.h"

typedef int stopcond_t (rvec r, void *param);

stopcond_t stop_radial;
struct stop_radial_p
{
  double inner_boundary_radius;
  double outer_boundary_radius;
};

stopcond_t stop_counter;
struct stop_counter_p
{
  long steps_left;
};

stopcond_t stop_equator;
struct stop_equator_p
{
  double lastz;
};

#endif // STOPCOND_H
