#include "stopcond.h"

int
stop_radial (rvec r, void *param)
{
  struct stop_radial_p *p = param;
  double norm = rvec_norma (&r);
  if (norm < p->outer_boundary_radius && norm > p->inner_boundary_radius)
    return 0;
  else
    return 1;
}

int
stop_counter (rvec r, void *param)
{
  struct stop_counter_p *p = param;
  return !--(p->steps_left);
}

int
stop_equator (rvec r, void *param)
{
  struct stop_equator_p *p = param;
  if (p->lastz && !r.val[2])
    return 1;			// Dosáhli jsme rovníku
  if (!p->lastz)
    p->lastz = r.val[2];	// Pro první krok.
  if (r.val[2] * p->lastz < 0)
    return 1;			// Přesáhli jsme rovník
  else
    p->lastz = r.val[2];
  return 0;
}
