***************************************************************
*
* File output.f 

      SUBROUTINE OUTPT
      INCLUDE 'comin.h'
      INCLUDE 'comcout.h' 

      INTEGER IFILE  
      SAVE
      PARAMETER( IFILE = 5 )
      CHARACTER CC*1
      PARAMETER( CC = '$' )
      CHARACTER UPP_LTRS*26,LOW_LTRS*26
      PARAMETER( UPP_LTRS = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ' )
      PARAMETER( LOW_LTRS = 'abcdefghijklmnopqrstuvwxyz' )
      CHARACTER IOU*20
      CHARACTER OFIL*20
      CHARACTER IC*1
C
      K=0
    1 K=K+1
      IF(K.GT.KMX) PRINT 6
      IF(K.GT.KMX) RETURN
      IC = IOU( K : K )
      IF( IC .EQ. '/' )THEN
         PRINT 6
      ELSE
        LINDEX = INDEX(UPP_LTRS,IC)
        IF(LINDEX.EQ.0)LINDEX = INDEX(LOW_LTRS,IC)
*              A  B  C  D  E  F  G  H  I  J  K  L  M
         GOTO(10,18, 1,24,16,10,20, 1, 1, 1, 1, 1, 1,
     A         1, 1,12, 1,26,22,28,275,1,32, 1, 1,14) LINDEX
*              N  O  P  Q  R  S  T  U  V  W  X  Y  Z
      END IF
    6 FORMAT('  ')
      GOTO 1
C
   10 WRITE(*, 11) X
   11 FORMAT( ' FREQ=',1pE13.7,1PE10.2,'  ',$)
      IF(IC.NE.'A' .and. ic .ne. 'a') GOTO 1
   12 WRITE(*,13)P
   13 FORMAT(' P=',F10.7,'  ',$)
      IF(IC.NE.'A' .and. ic .ne. 'a') GOTO 1
   14 WRITE(*,15)Z
   15 FORMAT(' Z=',F10.7,'  ',$)
      IF(IC.NE.'A' .and. ic .ne. 'a') GOTO 1
      PRINT 6
   16 WRITE(*,17) EFL
   17 FORMAT(' EX=',F7.4,F8.4,'  EY=',F7.4,F8.4,
     A  '  EZ=',F7.4,F8.4,' ',$)
      IF(IC.NE.'A' .and. ic .ne. 'a') GOTO 1
      PRINT 6
   18 WRITE(*,19) BFL
   19 FORMAT(' BX=',F7.4,F8.4,'  BY=',F7.4,F8.4,
     A  '  BZ=',F7.4,F8.4,' ',$)
      IF(IC.NE.'A' .and. ic .ne. 'a') GOTO 1
      PRINT 6
   20 WRITE(*,21) VG
   21 FORMAT(' VGP=',1PE9.2,'  VGZ=',1PE9.2,'  ',$)
      IF(IC.NE.'A' .and. ic .ne. 'a') GOTO 1
   22 WRITE(*,23) SG
   23 FORMAT(' SGP=',1PE9.2,'  SGZ=',E9.2,'  ',$)
      IF(IC.NE.'A' .and. ic .ne. 'a') GOTO 1
      PRINT 6
   24 WRITE(*,25) D, DX, DZ, DP
   25 FORMAT(1P,'D=',2E10.2,'  DX=',2E10.2,'  DZ=',2E10.2,
     F ' DP=',2E10.2,/,$)
      IF(IC.NE.'A' .and. ic .ne. 'a') GOTO 1
   26 WRITE(*,27) RI
   27 FORMAT(' RI=',1P,2E10.2,$)
      IF(IC.NE.'A' .and. ic .ne. 'a') GOTO 1
      PRINT 6
  275 WRITE(*,276) ENE
  276 FORMAT(' ENERGY=',1PE10.2,$)
      PRINT 6
      IF(IC.NE.'A' .and. ic .ne. 'a') GOTO 1
   28 DO 30 J=1,6
      N=1+J/4+J/6
      M=J-J/4*2-J/6
      WRITE(*,29)
     #(N,M,E(J,I), I=1,4)
   29 FORMAT(' E',2I1,'=',2(1PE10.2),'  EX',2I1,'=',2(1PE10.2),
     F  'EZ',2I1,'=',2(1PE10.2),'  EP',2I1,'=',2(1PE10.2),/)
   30 CONTINUE
      PRINT 6
      IF(IC.NE.'A' .and. ic .ne. 'a') GOTO 1
      PRINT 31, XX, PP ,ZZ
   31 FORMAT( 1P, ' XX=',12E12.3/' PP=',6E12.3/' ZZ=',6E12.3/)
      GOTO 1
C
   32 CALL WRFI(0)
      IF(IOU(1:5).EQ.'W    ')RETURN
      GOTO 1
C
      ENTRY INOUT
  101 WRITE(*,'(A,$)')'OUTPUT: '
      READ( *, '( A )', IOSTAT = IOS )  IOU
      IF( IOS .NE. 0 )THEN
         IOU = ' '
      END IF
      DO 103 K=1,20
      IC = IOU( K : K )
      IF(IC.EQ.' ') GOTO 103
      IF(IC.EQ.'H') GOTO 104
      KMX=K
      IF(IC.EQ.'W'.OR.IC.EQ.'w')CALL WRFI(2)
  103 CONTINUE
      RETURN
C
  104 PRINT 105
  105 FORMAT( ' THE OUTPUT IS DETERMINED BY A STRING OF LETTERS:'//
     F  ' A     ALL AVAILABLE OUTPUT.'/
     F  ' B     WAVE MAGNETIC FIELD COMPONENTS.'/
     F  ' D     DISPERSION FUNCTION AND DERIVATIVES.'/
     F  ' E     WAVE ELECTRIC FIELD COMPONENTS.'/
     F  ' F     FREQUENCY.'/
     F  ' G     GROUP VELOCITY COMPONENTS.'/
     F  ' P     PERPENDICULAR COMPONENT OF WAVE VECTOR.'/
     F  ' R     REFRACTIVE INDEX.'/
     F  ' S     SPATIAL GROWTH-RATES.'/
     F  ' T     DIELECTRIC TENSOR AND DERIVATIVES.'/
     F  ' Z     Z-COMPONENT OF WAVE VECTOR.'//
     F  ' THE RESULTS ARE  NORMALLY PRINTED ON ONE LINE IN THE ORDER'/
     F  ' THEY ARE SPECIFIED. A NEW LINE IS OBTAINED BY INSERTING'/
     F  ' A "/" IN THE STRING.'/
     F  ' EXAMPLE: OUTPUT: PZF/E'/
     F  ' THE WAVE NUMBERS AND THE FREQUENCY ARE PRINTED ON ONE LINE,'/
     F  ' AND THE ELECTRIC FIELD COMPONENTS ON THE NEXT.'//)
      GOTO 101
      END 
